Skip to main content
POST
/
v1
/
links
Create a referral link
curl --request POST \
  --url https://go.affixo.dev/v1/links \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "affiliate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "destination_url": "https://shop.example.com/pricing",
  "ref_param": "jane",
  "campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "object": "link",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "affiliate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "ref_param": "<string>",
    "destination_url": "<string>",
    "campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Workspace API key, e.g. sa_live_…. Scopes: read / write / track / *.

Body

application/json
affiliate_id
string<uuid>
required
destination_url
string<uri>
Example:

"https://shop.example.com/pricing"

ref_param
string
Example:

"jane"

campaign_id
string<uuid>

Response

Link created

object
string
Example:

"link"

data
object